#include "Nd2MemoryTest.h"
//get the connector to connect to invalid ip address
#include <ntstatus.h>
#pragma warning( disable : 4100 )

void Nd2InvalidIPServer::RunTest(
    _In_ const struct sockaddr_in& v4Src,
    _In_ DWORD queueDepth,
    _In_ DWORD nSge
    )
{
   //do nothing
}


void Nd2InvalidIPClient::RunTest(
    _In_ const struct sockaddr_in& v4Src,
    _In_ const struct sockaddr_in& v4Dst,
    _In_ DWORD queueDepth,
    _In_ DWORD nSge
    )
{
	//prep
    Nd2TestBase::Init( v4Src);
	Nd2TestBase::CreateMR();
	Nd2TestBase::RegisterDataBuffer(x_MaxXfer,ND_MR_FLAG_ALLOW_LOCAL_WRITE,ND_SUCCESS,"Register memory with local read access failed");
	Nd2TestBase::CreateCQ(nSge,ND_SUCCESS);
	Nd2TestBase::CreateConnector();
	Nd2TestBase::CreateQueuePair(queueDepth,nSge);
	
	//connect to invalid ip address (address has been changed outside)
	Nd2TestClientBase::Connect(v4Src,v4Dst,1,1,NULL,0, STATUS_BAD_NETWORK_NAME,"Expecting STATUS_BAD_NETWORK_NAME when destination IP is invalid");
	
}
